Arc Class Reference (Kig Python Scripting API)

| # Kig Python Scripting API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members

Public Member Functions | Static Public Member Functions | List of all members
Arc Class Reference

An Object representing an arc. More...

`#include <other_imp.h>`

Inheritance diagram for Arc:
[legend]
Collaboration diagram for Arc:
[legend]

## Public Member Functions
| Arc (const Coordinate &center, const double radius, const double startangle, const double angle)
| Construct an Arc with a given center, radius, start angle and dimension (both in radians).
Arc * | copy () const
| Returns a copy of this Object.
Object * | transform (const Transformation &t) const
| Return this Object, transformed by the transformation t.
const ObjectType * | type () const
| Returns the lowermost ObjectType that this object is an instantiation of.
const Coordinate | center () const
| Return the center of this arc.
double | radius () const
| Return the radius of this arc.
double | startAngle () const
| Return the start angle in radians of this arc.
double | angle () const
| Return the dimension in radians of this arc.
Coordinate | firstEndPoint () const
| Return the start point of this arc.
Coordinate | secondEndPoint () const
| Return the end point of this arc.
const double | sectorSurface () const
| Return the size of the sector surface of this arc.
bool | equals (const Object &rhs) const
| Returns true if this Object is equal to rhs.
bool | containsPoint (const Coordinate &p, const KigDocument &doc) const
| Return whether this Curve contains the given point.
Public Member Functions inherited from Curve
Coordinate | attachPoint () const
| Returns a reference point where to attach labels; when this returns an invalidCoord then the attachment is either not done at all, or done in a specific way (like for curves, or for points) The treatment of points could also take advantage of this attachment mechanism.
Public Member Functions inherited from Object
bool | inherits (const ObjectType *t) const
| Returns true if this Object inherits the Object type represented by t.
bool | valid () const
| Returns true if this is a valid Object.

## Static Public Member Functions
static const ObjectType * | stype ()
| Returns the ObjectType representing the Arc type.
Static Public Member Functions inherited from Curve
static const ObjectType * | stype ()
| Returns the ObjectType representing the Curve type.
Static Public Member Functions inherited from Object
static const ObjectType * | stype ()
| The ObjectType representing the base Object class.

## Detailed Description

An Object representing an arc.

## Member Function Documentation

## ◆ containsPoint()

bool Arc::containsPoint | ( | const Coordinate & | p,
|  | const KigDocument & | ) const
| virtual

Return whether this Curve contains the given point.

This is implemented as a numerical approximation. lementations can/should use the value test_threshold in common.h as a threshold value.

Implements Curve.

## ◆ copy()

Arc * Arc::copy | ( |  | ) | const
| virtual

Returns a copy of this Object.

The copy is an exact copy. Changes to the copy don't affect the original.

Implements Curve.

References Arc().

## ◆ equals()

bool Arc::equals | ( | const Object & | rhs | ) | const
| virtual

Returns true if this Object is equal to rhs.

This function checks whether rhs is of the same Object type, and whether it contains the same data as this Object.

Implements Object.

## ◆ stype()

const ObjectType * Arc::stype | ( |  | ) |
| static

Returns the ObjectType representing the Arc type.

## ◆ type()

const ObjectType * Arc::type | ( |  | ) | const
| virtual

Returns the lowermost ObjectType that this object is an instantiation of.

E.g. if you want to get a string containing the internal name of the type of an object, you can do:

tn = object.type().internalName()

Implements Object.

This file is part of the documentation for tdelibs .
Documentation copyright © 1996-2002 the KDE developers.
Generated on by doxygen 1.16.1 written by Dimitri van Heesch, © 1997-2001